Really Slick ScreenSavers(1)

NAME
lattice - linked rings.

SYNOPSIS
lattice [--root/-r] [--maxfps/-x number] [--nice/-n] [--preset/-p number] [--longitude/-l number] [--latitude/-L number] [--thick/-t number] [--density/-d number] [--drawdepth/-D number] [--fov/-o number] [--pathrand/-P number] [--speed/-e number] [--texture/-t number] [--smooth/-s] [--no-smooth/-S] [--fog/-f] [--no-fog/-F]

DESCRIPTION
From Terry Walsh (http://reallyslick.demonews.com): "Fly through an endless world of linked rings. You can choose from several different textures for the rings and alter the comlexity of the lattice structure." Ported to Linux by Tugrul Galatali.

OPTIONS

--root
    Draw on the root window.

--maxfps number
    Set maximum frame rate.

--nice
    Idle between frames using select(), or, if --maxfps is specified, idle in the fps limiting delay loop.

--preset number
    1 - Regular 2 - Chainmail 3 - Brass Mesh 4 - Computer 5 - Slick 6 - Tasty Presets that override all options that come before it on the command line. 1 - 6. Default: 1

--longitude number
    Longitudinal divisions of tori. 4 - 100. Default: 16

--latitude number
    Latitudinal divisions of tori. 2 - 100. Default: 8

--thick number
    Thickness of tori. 1 - 100. Default: 50

--density number
    Density. 1 - 100. Default: 50

--drawdepth number
    Depth. 1 - 8. Default: 4

--fov number
    Field of view. 10 - 150. Default: 90

--pathrand number
    Randomness of camera path. 1 - 10. Default: 7

--speed number
    Speed. 1 - 100. Default: 10

--texture number
    0 - None 1 - Industrial 2 - Crystal 3 - Chrome 4 - Brass 5 - Shiny 6 - Ghostly 7 - Circuits 8 - Doughnuts 9 - random Default: 0

--smooth
    Smooth surfaces.

--fog
    Enable fog.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

SEE ALSO
X(1),

COPYRIGHT
Copyright © 2002 by Terry Walsh and Tugrul Galatali. Lattice is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation. Lattice is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHOR
Terry Walsh and Tugrul Galatali <tugrul@galatali.com>